Skip to main content
GET
Chronologically

Node.js SDK

๐Ÿ”— SDK Method: fetchCastsForUser Use this API endpoint with the Neynar Node.js SDK for typed responses and better developer experience.

Authorizations

x-api-key
string
header
default:NEYNAR_API_DOCS
required

API key to authorize requests

Headers

x-neynar-experimental
boolean
default:false

Enables experimental features including filtering based on the Neynar score. See docs for more details.

Query Parameters

fid
integer
required

FID of user whose recent casts you want to fetch

Required range: x >= 1
Example:

194

app_fid
integer

Optionally filter to casts created via a specific app FID, e.g. 9152 for Warpcast

Required range: x >= 1
Example:

9152

viewer_fid
integer

FID of the user viewing the feed

Required range: x >= 1
Example:

3

limit
integer<int32>
default:25

Number of results to fetch

Required range: 1 <= x <= 150
Example:

30

cursor
string

Pagination cursor

include_replies
boolean
default:true

Include reply casts by the author in the response, true by default

Example:

true

parent_url
string

Parent URL to filter the feed; mutually exclusive with channel_id

channel_id
string

Channel ID to filter the feed; mutually exclusive with parent_url

Response

Success

casts
Cast ยท object[]
required
next
NextCursor ยท object
required

Returns next cursor